Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QSsl.KeyType

    java.lang.Object
      java.lang.Enum<QSsl.KeyType>
          com.trolltech.qt.network.QSsl.KeyType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSsl.KeyType>

Enclosing interface:
  QSsl

    public static enum QSsl.KeyType

extends java.lang.Enum<QSsl.KeyType>
implements QtEnumerator

Describes the two types of keys QSslKey supports.

Enum Constant Summary
`PrivateKey` A private key.
`PublicKey` A public key.

Method Summary
`static QSsl.KeyType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSsl.KeyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSsl.KeyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PrivateKey

    public static final QSsl.KeyType PrivateKey

  A private key.

### PublicKey

    public static final QSsl.KeyType PublicKey

  A public key.

Method Detail

### values

    public static final QSsl.KeyType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSsl.KeyType c : QSsl.KeyType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSsl.KeyType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSsl.KeyType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD